events {
}
http {
    include mime.types;
    sendfile on;
    server {
        error_page 404 /index.html;
        root /usr/share/nginx/html;
        location ~ /index\.html$ {
            internal;
            add_header Cache-Control 'no-store';
        }
        location ~* \.(png|jpg|jpeg|webp|gif|ico|woff|otf|ttf|eot|svg|txt|pdf|docx?|xlsx?)$ {
            access_log off;
            expires 1y;
        }
        location / {
            try_files $uri $uri/ /index.html;
        }
        # --- GZIP
        gzip on;
        gzip_disable "msie6";
        gzip_vary on;
        gzip_proxied any;
        gzip_comp_level 6;
        gzip_buffers 16 8k;
        gzip_http_version 1.1;
        gzip_types application/javascript
        application/rss+xml
        application/vnd.ms-fontobject
        application/x-font
        application/x-font-opentype
        application/x-font-otf
        application/x-font-truetype
        application/x-font-ttf
        application/x-javascript
        application/xhtml+xml
        application/xml
        font/opentype
        font/otf
        font/ttf
        image/svg+xml
        image/x-icon
        text/css
        text/javascript
        text/plain
        text/xml;
    }
}